
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>【Spring】Spring框架之我见 / iVAN</title>

    <meta name="description" content="【Spring】Spring框架之我见 [导图俯瞰全篇]   一,框架介绍:           1,先看一下帮助文档的这张图,里边主要包括了Spring自身的功能,还有可以和其框架结合的一些框架,通过这张图可以看出,Spring框架和其他框架的集成能力是非常强的 2,Spring是一个轻量级的IOC和AOP容器框架:                  a,轻量级:程序实现不是很复杂,代码不是很多,占用资源不是很多,没有侵入性:                  b,IOC(Inversion of Control 控制反转):对象创">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">【Spring】Spring框架之我见</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p><strong>【导图俯瞰全篇】</strong></p>
<p> <img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNjA5MjUxMjE2NTg5MzI/d2F0ZXJtYXJrLzIvdGV4dC9hSFIwY0RvdkwySnNiMmN1WTNOa2JpNXVaWFF2L2ZvbnQvNWE2TDVMMlQvZm9udHNpemUvNDAwL2ZpbGwvSTBKQlFrRkNNQT09L2Rpc3NvbHZlLzcwL2dyYXZpdHkvQ2VudGVy.jpg"></p>
<h1>一，框架介绍：</h1>
<p>          1，先看一下帮助文档的这张图，里边主要包括了Spring自身的功能，还有可以和其框架结合的一些框架，通过这张图可以看出，Spring框架和其他框架的集成能力是非常强的</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNjA5MjUxMjE4NTQ3NjI/d2F0ZXJtYXJrLzIvdGV4dC9hSFIwY0RvdkwySnNiMmN1WTNOa2JpNXVaWFF2L2ZvbnQvNWE2TDVMMlQvZm9udHNpemUvNDAwL2ZpbGwvSTBKQlFrRkNNQT09L2Rpc3NvbHZlLzcwL2dyYXZpdHkvQ2VudGVy.jpg"></p>
<p>2，Spring是一个轻量级的IOC和AOP容器框架：</p>
<p>                 a,轻量级：程序实现不是很复杂，代码不是很多，占用资源不是很多，没有侵入性；</p>
<p>                 b，IOC（Inversion<br />
 of Control 控制反转）：对象创建责任的反转（重点，核心）原则的配置管理，使得应用程序的组件更加快捷简易。；</p>
<p>                 c, Aop(Aspect Oriented Programming):一种面向横切面编程的思想方式，可以进行功能性扩展</p>
<p>                 d，容器：可以容纳对象，并且可以控制对象的生命周期；</p>
<h1>二、步骤</h1>
<p>1、拷jar包</p>
<p>commons-logging.jar（日志输出操作，实现日志输入的转换）</p>
<p><code>spring-aop.jar</code></p>
<p><code>spring-core.jar</code></p>
<p><code>spring-context.jar</code></p>
<p><code>spring-beans.jar</code></p>
<p><code>spring-expression.jar</code></p>
<p><code>spring-web.jar</code></p>
<p><code>spring-tx.jar</code></p>
<p><code>aopalliance.jar</code></p>
<p><code>aspectjrt.jar</code><br />
<code>aspectjweaver.jar</code><br />
<br /><code>2、拷贝框架的核心配置文件，存放在src目录下</code></p>
<p><code>applicationContext.xml（框架的核心配置文件）</code></p>
<p><code>3，编写框架的核心配置文件，将声明对象都交给Spring框架来创建，以及初始化，例如service层的类，action层类，dao层类等等，都可以交给Spring进行管理，看一个例子：</code></p>
<p><strong>[html]</strong> <a href="http://blog.csdn.net/liujiahan629629/article/details/20735407#" rel="external nofollow noreferrer">view plain</a> <a href="http://blog.csdn.net/liujiahan629629/article/details/20735407#" rel="external nofollow noreferrer">copy</a> <a href="https://code.csdn.net/snippets/223722" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL2NvZGUuY3Nkbi5uZXQvYXNzZXRzL0NPREVfaWNvLnBuZw==.jpg"></a><a href="https://code.csdn.net/snippets/223722/fork" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL2NvZGUuY3Nkbi5uZXQvYXNzZXRzL2ljb19mb3JrLnN2Zw==.jpg"></a></p>
<ol>
<li>&lt;span style="font-size:18px;"&gt;      &lt;!-- 声明Action对象 --&gt;  </li>
<li>  </li>
<li>&lt;bean id="loginAction" class="com.ljh.struts2.action.LoginAction" scope="prototype"&gt;&lt;/bean&gt; &lt;/span&gt;</li>
</ol>
<p><code><code>·</code><code></code></code>创建对象方式：1、默认单例<br />
 scope="singleton"  2、原型模式：<code>scope="prototype"原型模型确保每次检索都会创建单独的对象。在每个用户都需要自己的对象时，<a href="http://baike.baidu.com/view/551038.htm" rel="external nofollow noreferrer">原型模型</a>最适合。</code></p>
<p><code></code><code><code>·</code><code></code></code>工厂BeanFactory:BeanFactory功能是对bean对象的生命周期进行管理的。（创建，初始化，销毁）</p>
<p><code></code><code><code>·</code><code></code></code>ApplicationContext(推荐，也是框架默认的)</p>
<p>来用才对象来加载Spring配置文件，会在加载时解析配置文件，创建对象，而不是在getBean时实，ApplicationContext接口继承了BeanFactory，所以具备BeanFactory所有功能，同时增加扩展的功能，例如加载资源配置文件，国际化支持等！</p>
<p>4、加载 配置文件</p>
<p>利用beanFactory加载配置文件:</p>
<p><strong>[java]</strong> <a href="http://blog.csdn.net/liujiahan629629/article/details/20735407#" rel="external nofollow noreferrer">view plain</a> <a href="http://blog.csdn.net/liujiahan629629/article/details/20735407#" rel="external nofollow noreferrer">copy</a> <a href="https://code.csdn.net/snippets/223722" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL2NvZGUuY3Nkbi5uZXQvYXNzZXRzL0NPREVfaWNvLnBuZw==.jpg"></a><a href="https://code.csdn.net/snippets/223722/fork" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL2NvZGUuY3Nkbi5uZXQvYXNzZXRzL2ljb19mb3JrLnN2Zw==.jpg"></a></p>
<ol>
<li>&lt;span style="font-size:18px;"&gt;      //加载配置文件，创建Spring的应用环境  </li>
<li>        String path = "applicationContext.xml";       </li>
<li>        Resource resource = new ClassPathResource(path);    //推荐  </li>
<li>        //Resource resource = new FileSystemResource("src/applicationContext.xml");  </li>
<li>        //Resource resource = new ServletContextResource(servletContext, path); //如果文件存放到WEB-INF目录下  </li>
<li>          </li>
<li>        BeanFactory factory = new XmlBeanFactory(resource);  </li>
<li>  </li>
<li>        //从Spring环境中获取对象  </li>
<li>        Object obj = factory.getBean("loginAction");  </li>
<li>          </li>
<li>  </li>
<li>LoginAction action = (LoginAction)obj ; &lt;/span&gt; </li>
</ol>
<p>利用ApplicationContext加载配置文件：</p>
<p><strong>[java]</strong> <a href="http://blog.csdn.net/liujiahan629629/article/details/20735407#" rel="external nofollow noreferrer">view plain</a> <a href="http://blog.csdn.net/liujiahan629629/article/details/20735407#" rel="external nofollow noreferrer">copy</a> <a href="https://code.csdn.net/snippets/223722" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL2NvZGUuY3Nkbi5uZXQvYXNzZXRzL0NPREVfaWNvLnBuZw==.jpg"></a><a href="https://code.csdn.net/snippets/223722/fork" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL2NvZGUuY3Nkbi5uZXQvYXNzZXRzL2ljb19mb3JrLnN2Zw==.jpg"></a></p>
<ol>
<li>&lt;span style="font-size:18px;"&gt;      ApplicationContext ac = new ClassPathXmlApplicationContext("applicationContext.xml");  </li>
<li>              </li>
<li>        Object obj = ac.getBean("loginAction");  </li>
<li>&lt;/span&gt; </li>
</ol>
<h1>三、优点</h1>
<p>1.低侵入式设计，代码污染极低</p>
<p>2.独立于各种<a href="http://baike.baidu.com/view/995472.htm" rel="external nofollow noreferrer">应用服务器</a>，基于Spring框架的应用，可以真正实现Write Once,Run Anywhere的承诺</p>
<p>3.Spring的DI机制降低了<a href="http://baike.baidu.com/view/478351.htm" rel="external nofollow noreferrer">业务对象</a>替换的复杂性，提高了组件之间的解耦</p>
<p>4.Spring的AOP支持允许将一些通用任务如安全、事务、日志等进行集中式管理，从而提供了更好的复用</p>
<p>5.Spring的ORM和DAO提供了与第三方持久层框架的良好整合，并简化了底层的数据库访问</p>
<p>6.Spring并不强制应用完全依赖于Spring，开发者可自由选用Spring框架的部分或全部</p>
<pre>7、用<a href="https://www.baidu.com/s?wd=%E4%BE%9D%E8%B5%96%E6%B3%A8%E5%85%A5&amp;tn=44039180_cpr&amp;fenlei=mv6quAkxTZn0IZRqIHckPjm4nH00T1YLnWn3P1N9PyN9n1RvuAc0IAYqnWm3PW64rj0d0AP8IA3qPjfsn1bkrjKxmLKz0ZNzUjdCIZwsrBtEXh9GuA7EQhF9pywdQhPEUiqkIyN1IA-EUBtdPW6vPjf3rjn" rel="external nofollow noreferrer">依赖注入</a>模式大幅度的减少了程序之间的耦合性 并很好的实现了各种JAVA的设计模式 强制使用者养成用接口编程的习惯 </pre>

<h1>四、第一个Spring小程序</h1>
<p>新建一个User类，一个UserDao类以及一个测试类：</p>
<p>User.java</p>
<p><strong>[java]</strong> <a href="http://blog.csdn.net/zhangerqing/article/details/8546049#" rel="external nofollow noreferrer">view plain</a> <a href="http://blog.csdn.net/zhangerqing/article/details/8546049#" rel="external nofollow noreferrer">copy</a></p>
<ol>
<li>package com.adam.java.spring.po;  </li>
<li>  </li>
<li>public class User {  </li>
<li>    private String name;  </li>
<li>    private int age;  </li>
<li>    private int score;  </li>
<li>    public String getName() {  </li>
<li>        return name;  </li>
<li>    }  </li>
<li>    public void setName(String name) {  </li>
<li>        this.name = name;  </li>
<li>    }  </li>
<li>    public int getAge() {  </li>
<li>        return age;  </li>
<li>    }  </li>
<li>    public void setAge(int age) {  </li>
<li>        this.age = age;  </li>
<li>    }  </li>
<li>    public int getScore() {  </li>
<li>        return score;  </li>
<li>    }  </li>
<li>    public void setScore(int score) {  </li>
<li>        this.score = score;  </li>
<li>    }  </li>
<li>      </li>
<li>    public String toString(){  </li>
<li>        return "tostring from user";  </li>
<li>    }  </li>
<li>}  </li>
</ol>
<p>UserDao.java</p>
<p><strong>[java]</strong> <a href="http://blog.csdn.net/zhangerqing/article/details/8546049#" rel="external nofollow noreferrer">view plain</a> <a href="http://blog.csdn.net/zhangerqing/article/details/8546049#" rel="external nofollow noreferrer">copy</a> <a href="https://code.csdn.net/snippets/538969" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL2NvZGUuY3Nkbi5uZXQvYXNzZXRzL0NPREVfaWNvLnBuZw==.jpg"></a><a href="https://code.csdn.net/snippets/538969/fork" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL2NvZGUuY3Nkbi5uZXQvYXNzZXRzL2ljb19mb3JrLnN2Zw==.jpg"></a></p>
<ol>
<li>package com.adam.java.spring.dao;  </li>
<li>  </li>
<li>import com.adam.java.spring.po.User;  </li>
<li>  </li>
<li>public class UserDao {  </li>
<li>    private User user;  </li>
<li>      </li>
<li>    public void add(){  </li>
<li>        System.out.println("add from userdao");  </li>
<li>        System.out.println(user.toString());  </li>
<li>    }  </li>
<li>  </li>
<li>    public User getUser() {  </li>
<li>        return user;  </li>
<li>    }  </li>
<li>  </li>
<li>    public void setUser(User user) {  </li>
<li>        this.user = user;  </li>
<li>    }  </li>
<li>  </li>
<li>      </li>
<li>}  </li>
</ol>
<p>DITest.java</p>
<p><strong>[html]</strong> <a href="http://blog.csdn.net/zhangerqing/article/details/8546049#" rel="external nofollow noreferrer">view plain</a> <a href="http://blog.csdn.net/zhangerqing/article/details/8546049#" rel="external nofollow noreferrer">copy</a> <a href="https://code.csdn.net/snippets/538969" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL2NvZGUuY3Nkbi5uZXQvYXNzZXRzL0NPREVfaWNvLnBuZw==.jpg"></a><a href="https://code.csdn.net/snippets/538969/fork" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL2NvZGUuY3Nkbi5uZXQvYXNzZXRzL2ljb19mb3JrLnN2Zw==.jpg"></a></p>
<ol>
<li>package com.adam.java.spring;  </li>
<li>  </li>
<li>import org.springframework.context.ApplicationContext;  </li>
<li>import org.springframework.context.support.ClassPathXmlApplicationContext;  </li>
<li>  </li>
<li>import com.adam.java.spring.dao.UserDao;  </li>
<li>  </li>
<li>public class DITest {  </li>
<li>  </li>
<li>    @SuppressWarnings("resource")  </li>
<li>    public static void main(String[] args) {  </li>
<li>        ApplicationContext atx = new ClassPathXmlApplicationContext("beans.xml");  </li>
<li>        UserDao userDao = (UserDao) atx.getBean("userDao");  </li>
<li>        userDao.add();  </li>
<li>    }  </li>
<li>  </li>
<li>}  </li>
</ol>
<p>一个配置文件beans.xml</p>
<p><strong>[html]</strong> <a href="http://blog.csdn.net/zhangerqing/article/details/8546049#" rel="external nofollow noreferrer">view plain</a> <a href="http://blog.csdn.net/zhangerqing/article/details/8546049#" rel="external nofollow noreferrer">copy</a> <a href="https://code.csdn.net/snippets/538969" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL2NvZGUuY3Nkbi5uZXQvYXNzZXRzL0NPREVfaWNvLnBuZw==.jpg"></a><a href="https://code.csdn.net/snippets/538969/fork" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL2NvZGUuY3Nkbi5uZXQvYXNzZXRzL2ljb19mb3JrLnN2Zw==.jpg"></a></p>
<ol>
<li>&lt;?xml version="1.0" encoding="UTF-8"?&gt;  </li>
<li>&lt;beans xmlns="http://www.springframework.org/schema/beans"  </li>
<li>    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"  </li>
<li>    xsi:schemaLocation="http://www.springframework.org/schema/beans http://www.springframework.org/schema/beans/spring-beans.xsd"&gt;  </li>
<li>  </li>
<li>&lt;bean id="user" class="com.adam.java.spring.po.User"/&gt;  </li>
<li>&lt;bean id="userDao" class="com.adam.java.spring.dao.UserDao"&gt;  </li>
<li>    &lt;property name="user" ref="user"/&gt;  </li>
<li>&lt;/bean&gt;  </li>
<li>&lt;/beans&gt;  </li>
</ol>
<p>执行测试类，得出如下输出：</p>
<p><strong>[html]</strong> <a href="http://blog.csdn.net/zhangerqing/article/details/8546049#" rel="external nofollow noreferrer">view plain</a> <a href="http://blog.csdn.net/zhangerqing/article/details/8546049#" rel="external nofollow noreferrer">copy</a> <a href="https://code.csdn.net/snippets/538969" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL2NvZGUuY3Nkbi5uZXQvYXNzZXRzL0NPREVfaWNvLnBuZw==.jpg"></a><a href="https://code.csdn.net/snippets/538969/fork" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL2NvZGUuY3Nkbi5uZXQvYXNzZXRzL2ljb19mb3JrLnN2Zw==.jpg"></a></p>
<ol>
<li>add from userdao  </li>
<li>tostring from user </li>
</ol>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-18 17:31:19</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%9e%b6%e6%9e%84/" title="架构">架构</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>【Spring】Spring框架之我见的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/6b3oBNb.html" rel="bookmark">J2EE中使用Spring AOP框架和EJB组件</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				j2ee 快速发展的开发人员社区.对各种后端技术(包括JMS.JTA.JDO.Hibernate.iBATIS等等)的支持,以及(更为重要的)非侵入性的轻量级IoC容器和内置的AOP运行时,这些因素使得Spring Framework对于J2EE应用程序开发十分具有吸引力.Spring托管的组件(POJO)可以与EJB共存,并允许使用AOP方法来处理企业应用程序中的横切方面--从监控和审计.缓存及应用程序级的安全性开始,直到处理特定于应用程序的业务需求. 本文将向您介绍Spring的AOP框架在			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/2pLjR0b.html" rel="bookmark">Spring MVC框架的高级配置</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				高级 本文将为您提供关于Spring MVC框架的配置技巧,以帮助管理基于Spring的web应用程序的多个实例.本配置管理主题常被学术界所忽略,但是,这对于现实的web开发尤为重要.本主题并不直接关联任何具体的技术,因此,我们将从最基本的概念开始对这个问题进行说明.下面,我们将根据Spring MVC框架,为基于本技术开发的项目提供一系列的解决方案. Spring配置 人们经常会在一台以上的主机上配置一种Web应用程序.例如,在生产中,一个网站可能只有一个实例.除了此实例外,开发人员可以在用于			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bo69vjz.html" rel="bookmark">Spring&period;net&lpar;一&rpar;----Spring&period;NET框架简介及模块说明</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Spring Framework天生丽质,因为其先进的架构和对一系列前沿开发思想的集成,使它从一产生就深得开发者欢迎,它将设计模式运用到了炉火纯青的地方,它的幽雅和魅力征服了许多JAVA开发者,使这些开发者成为了它的信徒,得程序员心者得天下,Spring引领了J2EE开发的潮流,同时Spring和各种框架的强强联手也为它的信徒的尽早飞翔插上了翅膀,比如老大哥SSH(配置烦琐的struts和Hibernate.Spring的集成).后起之秀EJSA(身材轻便使用灵活及零配置的EASYJWEB+JP			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pP800Dp.html" rel="bookmark">Hibernate&plus;Spring&plus;Struts2框架相关项目示例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 我想做一个用Hibernate+Spring+Struts2框架集成的项目 解决方案 解决方案二:lz加油解决方案三:嗯加油			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bE6dX3M.html" rel="bookmark">【spring&plus;quartz框架】scheduler&period;reschedulejob后执行了多次</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 [spring+quartz框架]scheduler.reschedulejob后执行了多次 关于spring+quartz框架配置多线程调度任务,小弟有一事一直没搞明白 一.quartz.properties中配置: #=============================================================== #Configure Main Scheduler Properties #================================			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pL7Ba5M.html" rel="bookmark">方法-spring &plus;mvc 框架 关于数据字典使用问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 spring +mvc 框架 关于数据字典使用问题 项目中的数据字典是tomcat启动时加载数据,如果在数据库中添加数据,刷新界面数据不更新,只有重新启动tomcat才能界面显示数据,怎么在数据字典中加入方法,才能及时更新字典啊. 解决方案 这要看你的数据是从哪儿取得的呀!如果你是在数据库中取得的,这个应该是可以拿到的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M6ZAgyM.html" rel="bookmark">spring mvc 框架搭建及详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				现在主流的Web MVC框架除了Struts这个主力 外,其次就是Spring MVC了,因此这也是作为一名程序员需要掌握的主流框架,框架选择多了,应对多变的需求和业务时,可实行的方案自然就多了.不过要想灵活运用Spring MVC来应对大多数的Web开发,就必须要掌握它的配置及原理. 一.Spring MVC环境搭建:(Spring 2.5.6 + Hibernate 3.2.0) 1. jar包引入 Spring 2.5.6:spring.jar.spring-webmvc.jar.comm			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pmKrglb.html" rel="bookmark">easyui-struts2&plus;spring&plus;mybatis框架。 进入一个页面时，同时访问三个url会报错。</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 struts2+spring+mybatis框架. 进入一个页面时,同时访问三个url会报错. 解决方案 这个应该是mybatis查询出错吧. 参数集合里面已经包含了count参数? 解决方案二: 这个是sql语句写错了,你把报错中的sql语句粘出来放数据库执行一下看看会不会报错 解决方案三: 你在controller重新写两个方法针对你上面的请求,你在页面刷新之前同时对page.action进行了访问,还传入了不同的查询条件和参数导致的.注意一下的onBeforeLoad:			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pkeXawb.html" rel="bookmark">在没有spring等框架的情况下实现多数据源的问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 在没有spring等框架的情况下实现多数据源的问题 系统是没有spring,hibernate等框架.要求就是系统想要同时连多个数据库,可以执行多个数据库的操作.我是新手,那位大哥帮帮忙!!!! 解决方案 直接用jdbc访问数据库http://blog.csdn.net/xinxin19881112/article/details/4511566http://blog.csdn.net/xiyoukeke/article/details/6370604http://www.cnblog			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pXqYZjz.html" rel="bookmark">使用spring mvc 框架，怎么才能将内容显示到页面上去呢</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 使用spring mvc 框架,怎么才能将内容显示到页面上去呢 怎么将值传到我画的红线当中呢.第一次用这样的,不怎么会 整,求指教.谢谢了 解决方案 response=ServletActionContext.getResponse();JSONArray jsResult = new JSONArray();jsResult =JSONArray.fromObject(list);response.setContentType(&quot;&quot;text/html; charset=UT			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qMqLg2b.html" rel="bookmark" class="title">CCAI 2017 人工智能科学与艺术论坛 &vert; 科学、艺术、 女性之间的碰撞</a>
					<div>
						人工智能与艺术--让炫酷科技多了一抹柔情 艺术创作被称为人类特有的高级的.复杂的.极富创造性的精神活动和实践活动,但在人工智能发展迅速的今天,工程师们能够通过算法创造出令⼈人震撼的视觉作品,并且,用  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qbadjXz.html" rel="bookmark" class="title">Linux C编程与Shell编程在开发实用工具方面的相同点总结</a>
					<div>
						原创作品,允许转载,转载时请务必以超链接形式标明文章 原始出处 .作者信息和本声明.否则将追究法律责任.http://dgd2010.blog.51cto.com/1539422/1712280 以w ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0bojdDz.html" rel="bookmark" class="title">支持xhr浏览器&colon;超时设定加载事件进度事件</a>
					<div>
						文章简介:各个浏览器虽然都支持xhr,但还是有些差异. 各个浏览器虽然都支持xhr,但还是有些差异. 1超时设定 IE8为xhr对象添加了一个timeout属性,表示请求在等待响应多少毫秒后就终止.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/yMAmZeM.html" rel="bookmark" class="title">第二章　ＣＳＳ的应用方式</a>
					<div>
						这章节将开始为您介绍CSS的应用.当然一开始要介绍的是如何去建立个样式表 (Style Sheets),包括了声明的方式和应用在网页上的方法,最後还会为您概述一下CSS的一些特性.概略来说,CSS的声 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7b235vM.html" rel="bookmark" class="title">用&period;NET Framework 2&period;0创建Form设计器</a>
					<div>
						创建|设计 Microsoft .NET Framework 1.0提供了一个非常通用的设计时框架,但是没有提供任何实现代码来完成一个设计器,Visual Studio? .NET实现了所有的复杂逻辑 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/apXa24z.html" rel="bookmark" class="title">也论搜索引擎的重要性 借力搜索做大自己网站</a>
					<div>
						笔者一直以来都是靠自己通过邮件.QQ群.贴吧等地方宣传,做站几年,才辛辛苦苦将网站拉上数万IP.就在最近新结识了几位站长朋友,经过交流才发 现虽然他们做网站都比本人晚,但是网站的流量却是我这含辛茹苦数 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/balmENz.html" rel="bookmark" class="title">COPAN绿色存储解决方案</a>
					<div>
						COPAN System公司是一家企业级智能化存储解决方案的领导者.它基于MAID(大规模闲置磁盘阵列)的解决方案是针对持久性数据(PD)的长期存储要求而设计的产品.公司的使命是通过研发革新技术和解决 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Myr5odp.html" rel="bookmark" class="title">gridpanel动态加载数据的实例代码</a>
					<div>
						这篇文章介绍了gridpanel动态加载数据的实例代码,有需要的朋友可以参考一下   复制代码 代码如下: &lt;script type='text/javascript'&gt; function ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDYXQWb.html" rel="bookmark" class="title">Foxmail如何设置IAMP邮箱</a>
					<div>
						  1打开 Foxmail,点击&quot;邮箱&quot;菜单中的&quot;新建邮箱帐户&quot;; 2进入 Foxmail 向导,输入&quot;电子邮件地址&quot;.&quot;密码&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Myw5AEz.html" rel="bookmark" class="title">mysql第二天 锁</a>
					<div>
						如果没有锁,那么并发性会更强,但是数据安全性会有问题.因此数据库会给数据加锁. 共享锁与排他锁 也就是读写锁,共享锁可以叠加共享锁但是不能加排他锁, 排他锁则不能叠加. 根据隔离级别等等,mysql会 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlQ2NDp.html" rel="bookmark" class="title">js调用activeX获取u盘序列号的代码&lowbar;javascript技巧</a>
					<div>
						复制代码 代码如下: function GetDIVORPIV(DIV) { var str; var arrayDIV=new Array(); if(DIV.indexOf(&quot;_&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLmRXvz.html" rel="bookmark" class="title">Linux中目录数限制与文件数目限制管理</a>
					<div>
						对于http://www.aliyun.com/zixun/aggregation/13879.html&quot;&gt;系统管理员来说,了解系统的一些限制是非常有必要的,这样可以根据需要进行必要的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB10Kdz.html" rel="bookmark" class="title">failed to lazily initialize a collection of role&colon; &comma; could not initialize proxy - no Session</a>
					<div>
						hibernate 报错信息如下: 严重: Servlet.service() for servlet [spring2] in context with path [/convention] thr ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPB0QAb.html" rel="bookmark" class="title">使用jQuery获得内容以及内容的属性&lowbar;jquery</a>
					<div>
						复制代码 代码如下: &lt;!DOCTYPE html&gt; &lt;html&gt;     &lt;head&gt;         &lt;meta charset=&quot;utf-8& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwWZOWz.html" rel="bookmark" class="title">阿朗宣布加入全新功能帮助企业员工轻松使用个人设备</a>
					<div>
						日前,阿尔卡特朗讯(巴黎证交所和纽约证交所:ALU)宣布在其应用流畅网络解决方案中加入全新功能,帮助企业员工在工作时更轻松地使用智能手机.平板电脑等个人设备访问个人.工作内容及业务,在不影响企业网络安 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdyLV3z.html" rel="bookmark" class="title">快学Java SE8--Java8新特性</a>
					<div>
						前言 自从有了Java8,Java语言和库仿佛获得了新生.本次分享的&lt;&gt;只是&lt;&lt;快学Java SE8&gt;&gt;中的第一次分享,后面还会有函数式编程一.二等,之所以叫快学就 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlL1XnM.html" rel="bookmark" class="title">在C&num;中主线程和子线程如何实现互相传递数据</a>
					<div>
						在C#中主线程和子线程如何实现互相传递数据                                         老帅    在C#中创建线程Thread时,可以有多种方法,而主线程和子线程 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bodDZEM.html" rel="bookmark" class="title">java 中如何创建hashmap 的代理对象，或者，怎么观察hashmap的改变的前后状态</a>
					<div>
						问题描述 现在有个需求,需要创建可以监听值变化的map,在值变化的前后实现相应的逻辑操作,我首先想到的是代理模式,可是getClassLoader不成功,网上查询的结果貌似map是有java引导加载器 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvnZBWM.html" rel="bookmark" class="title">关于EXT tree的加载选中状态</a>
					<div>
						问题描述 EXT不太熟悉,我现在EXT是加载一颗整树,我现在想做一个在树加载完成后,把一些节点默认选中,varloader=newResoft.wcm.OrgTreeLoader({dataUrl:' ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvnggaM.html" rel="bookmark" class="title">微信&OpenCurlyDoubleQuote;小程序&amp;quot&semi; 未完， 数据的&amp;quot&semi;小程序&amp;quot&semi; 又来了</a>
					<div>
						免费开通大数据服务:https://www.aliyun.com/product/odps 微信小程序是一种不需要下载安装即可使用的应用,它实现了应用&quot;触手可及&quot;的梦想,用户扫一扫 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvYGYWb.html" rel="bookmark" class="title">登录优酷看《Three Days》直播为有天送礼谁更铁杆</a>
					<div>
						近日,由朴有天主演的&lt;Three Days&gt;,每周三.四晚优酷独家直播中.伴随跌宕起伏剧情袭来的,却正是国内粉丝们的惊人战斗力,有天欧巴声援团势不可挡.自周末以来,偶像玩穿越,眼神无辜的& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwKgeEz.html" rel="bookmark" class="title">js开源免费天气预报接口API及全国所有地区代码&lpar;国家气象局提供）</a>
					<div>
						国家气象局提供的天气预报接口 接口地址: http://www.weather.com.cn/data/sk/101010100.html http://www.weather.com.cn/data ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPlmoAp.html" rel="bookmark" class="title">jQuery实现点击按钮弹出可关闭层的浮动层插件&lowbar;jquery</a>
					<div>
						本文实例讲述了jQuery实现点击按钮弹出可关闭层的浮动层插件.分享给大家供大家参考.具体如下: 这是一款由漫画Jquery弹出层插件改编而来,小鸟Js弹窗插件,按ESC可以关闭窗口.默认不带样式,大 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJOP0wb.html" rel="bookmark" class="title">Nginx&plus;Keepalived&lpar;双机热备&rpar;搭建高可用负载均衡环境&lpar;HA&rpar;</a>
					<div>
						基于 Nginx+Tomcat+Redis负载均衡Session共享来实现后续的功能 个人微信小程序.是关于人工智能的.应用是百度大脑 和 腾讯优图的人脸识别 有问题加QQ:783021975 验证问 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQ1EqQb.html" rel="bookmark" class="title">nodejs服务端调用rest接口发生错误。提示未定义。</a>
					<div>
						问题描述 我用的是nodejs服务端调用接口,取所有的群组信息,使用接口easemob.getGroups(),但是总是未定义,还试过这种方法:easemob.getGroups = function ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7Qa0KM.html" rel="bookmark" class="title">给压力设置一个上下限，实时数值超过这个设定上下限值就弹窗报警</a>
					<div>
						问题描述 有个压力计具有远传功能,可以将实时压力每30秒上床一次到sql数据库.现在我想实现给他设置一个上限一个下限,实时数据与这个值作比较,不在这个范围内就弹窗报警.我是新手,谢谢大家,望大神指教  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zenWN9b.html" rel="bookmark" class="title">c语言基础-用printf输出i在其中的各种运算，不知道结果是怎样来的，求指点</a>
					<div>
						问题描述 用printf输出i在其中的各种运算,不知道结果是怎样来的,求指点 用printf输出 void main() { //www.csdn.net. int i=8; printf(&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmROPjz.html" rel="bookmark" class="title">互联网波谲云诡 百度要挤淘宝路</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断淘宝客 站长团购 云主机 技术大厅 互联网波谲云诡,百度要挤淘 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zengnVb.html" rel="bookmark" class="title">Pig源码分析&colon; 逻辑执行计划优化</a>
					<div>
						Whole View 本文分析的是逻辑执行计划优化的代码结构,具体每种Rule的实现不做分析. 看本文之前最好参考之前那篇逻辑执行计划模型的文章. Architecture 几个关键类/接口的关系:  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvWav6p.html" rel="bookmark" class="title">视频网站与电视台的网台联动成为了跨媒体合作的普遍形式</a>
					<div>
						中国领先的视频分享网站56网与人人网.浙江卫视今天共同开启SNS+Video+TV的网台联动3.0模式,三方将基于各自优势联合打造一档全新的外景美食节目&lt;爽食行天下&gt;.这将是国内首次由视频 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.026 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
